<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#form").load('modul/returjual/form.php');
	$("#daftar").load('modul/report/daftar_rj.php');
	$("#info_retur").hide();

	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);				
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#info_retur").hide();
		$("#tampil_data").show();
		$("#tampil_data").load('modul/returjual/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_mk").click(function(){				
		var	kode	= $("#t_koderj").val();
		var	kodeplg	=$("#t_kodeplg").val();		
		var	tgl		= $("#t_tanggal").val();
		var	nomorfk	= $("#t_nomorfk").val();
		var	tglfk	= $("#t_tanggalfk").val();
		
		window.location.href='modul/laporan/memo_krd.php?kode='+kode+'&kodeplg='+kodeplg+'&tgl='+tgl+'&nomorfk='+nomorfk+'&tglfk='+tglfk;		
	});
	
	$("#tutup_detail").click(function(){
		$("#pencarian").show();
		$("#info_retur").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();		
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT RETUR PENJUALAN</a></li>
	       <li><a href='#data'>CETAK MEMO KREDIT</a></li>
		   <li><a href='#daftar'>DAFTAR RETUR PENJUALAN</a></li>
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td width='13%'>Tanggal retur</td>
					<td width='2%'>:</td>
					<td><input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'></td>
					<td width='15%'>Sampai dengan</td>
					<td><input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td width='10%'></td>
					<td align='right'>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>
						<button name='tutup' id='tutup'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
			
			<div id='info_retur'>
				<table>
				<tr>
					<td>Kode Retur : <input type='text' name='t_koderj' id='t_koderj' size='12' readonly></td>					
					<td>Tanggal : <input type='date' name='t_tanggal' id='t_tanggal' size='10' readonly></td>					
					<td>Pelanggan : <input type='text' name='t_kodeplg' id='t_kodeplg' size='3' readonly>
						<input type='text' name='t_namaplg' id='t_namaplg' size='15' readonly>
					</td>
					<td>No.Faktur : <input type='text' name='t_nomorfk' id='t_nomorfk' size='10' readonly></td>
					<td>Tanggal : <input type='date' name='t_tanggalfk' id='t_tanggalfk' size='10' readonly></td>					
					<td>
						<button name='cetak_mk' id='cetak_mk'>Cetak Memo Kredit</button>
						<button name='tutup_detail' id='tutup_detail'>Tutup Detail</button>
					</td>					
				</tr>
				</table>						
			</div>
			
			<div id='tampil_detail' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
		</div>";
		
echo "<div id='daftar' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>